﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="../Scripts/jquery-1.4.3.js" type="text/javascript"></script>
    
    <script type="text/javascript">
        $(document).ready(OnReady);

        function OnReady() {
            $.get("Menu.xml", OnSuccess);
            $(document)[0].oncontextmenu = function() { return false; }
            $(document).mousedown(function(event) {
                if (event.which == 3) {
                    $("#menuContainer").css("left", event.pageX)
                                       .css("top", event.pageY)
                                       .show();
                }
            })
            ,
            $(document).keydown(function(event) {
                if (event.which == 27) {
                    $("#menuContainer").hide();
                }
            })
            
        }
        
        function OnSuccess(menuData) {
            $(menuData).find("menuitem").each(ProcessMenuItem);
            $("#menuContainer").addClass("MenuPad")
                               .hide();
            $("#menuContainer div").hover(OnMouseOver, OnMouseOut)
                                   .css("padding", "5px");
        }

        function ProcessMenuItem(index) {
            var item = $(this);
            var text = item.attr("text");
            var url = item.attr("navigateUrl");

            var menuItemHtml = "";
            if (text == "--") {
                menuItemHtml = "<hr />";
            }
            else if(url==null) {
                menuItemHtml = "<div>" + text + "</div>";
            }
            else {
                menuItemHtml = "<div>" +
                               "<a href='" + url + "'>" + text + "</a>" +
                               "</div>";
            }
            $("#menuContainer").append(menuItemHtml);
            if (url == null) {
                $("#menuContainer div:last-child").click({ menuItemId: text }, OnMenuItemClick);
            }

        }

            function OnMouseOver(event) {
                $(this).addClass("Hover");
            }

            function OnMouseOut(event) {
                $(this).removeClass("Hover");
            }

            function OnMenuItemClick(event) {
                alert("You clicked : " + event.data.menuItemId);
                $("#menuContainer").hide();
            }
        
    </script>
    
    <style type="text/css">
    .Hover
    {
        background-color:silver;
        cursor:hand;
    }
    .MenuPad
    {
        background-color:whitesmoke;
        border:solid 1px gray;
        width:200px;
        position:absolute;
    }
    </style>
    
</head>
<body>
    <form id="form1" runat="server">
    <div id="menuContainer">
    </div>
    </form>
</body>
</html>
